## notcurses 3.0.7+dfsg.1

=== CMakeLists.txt ===
# 3.14.0 introduced NAME_WLE
cmake_minimum_required(VERSION 3.14.0)
project(notcurses VERSION 3.0.7
  DESCRIPTION "Blingful UI for modern terminal emulators"
  HOMEPAGE_URL "https://nick-black.com/dankwiki/index.php/notcurses"
  LANGUAGES C)
include(CTest)
include(GNUInstallDirs)
include(CMakeDependentOption)
include(FeatureSummary)

###################### USER-SELECTABLE OPTIONS ###########################
# BUILD_TESTING is defined by CTest
option(DFSG_BUILD "DFSG build (no non-free media/code)" OFF)
option(USE_ASAN "Build with AddressSanitizer" OFF)
option(USE_COVERAGE "Assess code coverage with llvm-cov/lcov" OFF)
option(USE_CXX "Build C++ code" ON)
cmake_dependent_option(
  USE_DOCTEST "Build notcurses-tester with doctest" ON
  "BUILD_TESTING;USE_CXX" OFF
)
option(USE_DEFLATE "Use libdeflate instead of libz" ON)
option(USE_DOXYGEN "Build HTML cross reference with doxygen" OFF)
option(USE_GPM "Enable libgpm console mouse support" OFF)
option(USE_PANDOC "Build man pages and HTML reference with pandoc" ON)
option(BUILD_EXECUTABLES "Build executables" ON)
option(BUILD_FFI_LIBRARY "Build ffi library (containing all symbols which are static inline)" ON)
option(USE_POC "Build small, uninstalled proof-of-concept binaries" ON)
option(USE_QRCODEGEN "Enable libqrcodegen QR code support" OFF)
option(USE_STATIC "Build static libraries (in addition to shared)" ON)
set(USE_MULTIMEDIA "ffmpeg" CACHE STRING "Multimedia engine, one of 'ffmpeg', 'oiio', or 'none'")
set_property(CACHE USE_MULTIMEDIA PROPERTY STRINGS ffmpeg oiio none)
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE
    STRING "Choose the build mode." FORCE)
endif()
set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS Debug Release MinSizeRel RelWithDebInfo Coverage)
############## END (additional) USER-SELECTABLE OPTIONS ##################
set(USE_FFMPEG OFF)
set(USE_OIIO OFF)
if(${USE_MULTIMEDIA} STREQUAL "ffmpeg")
  set(USE_FFMPEG ON)
elseif(${USE_MULTIMEDIA} STREQUAL "oiio")
  if(NOT ${USE_CXX})
    message(FATAL_ERROR "USE_CXX must be on to use OpenImageIO.")
  endif()
  set(USE_OIIO ON)
elseif(NOT ${USE_MULTIMEDIA} STREQUAL "none")
  message(FATAL_ERROR "USE_MULTIMEDIA must be one of 'oiio', 'ffmpeg', 'none' (was '${USE_MULTIMEDIA}').")
endif()
if (NOT BUILD_EXECUTABLES AND USE_POC)
  message(WARNING "Disabling USE_POC since BUILD_EXECUTABLES=OFF")
  set(USE_POC OFF)
endif()

if(${USE_CXX})
  enable_language(CXX)
endif()
if(${USE_CXX})
set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_VISIBILITY_PRESET hidden)
string(APPEND CMAKE_CXX_FLAGS_DEBUG " -Og")
endif()
set(CMAKE_C_STANDARD 11)
set(CMAKE_C_VISIBILITY_PRESET hidden)

message(STATUS "Requested multimedia engine: ${USE_MULTIMEDIA}")
message(STATUS "Requested build mode: ${CMAKE_BUILD_TYPE}")

string(APPEND CMAKE_C_FLAGS_DEBUG " -Og")
if(${USE_COVERAGE})
  if(NOT "${CMAKE_C_COMPILER_ID}" MATCHES "(Apple)?[Cc]lang")
    message(FATAL_ERROR "USE_COVERAGE was on but CC isn't clang")
  endif()
  # FIXME requires clang11+
  string(APPEND CMAKE_C_FLAGS_DEBUG " --coverage -fprofile-instr-generate -fcoverage-mapping")
  if(${USE_CXX})
    if(NOT "${CMAKE_CXX_COMPILER_ID}" MATCHES "(Apple)?[Cc]lang")
      message(FATAL_ERROR "USE_COVERAGE was on but CXX isn't clang++")
    endif()
    string(APPEND CMAKE_CXX_FLAGS_DEBUG " --coverage -fprofile-instr-generate -fcoverage-mapping")
  endif()
endif()

# under msys2 (and all other operating systems) we want pkgconfig. when
# building with visual studio, don't require it.
if(NOT MSVC)
if(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
set(PKGCONFIG_DIR "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
elseif(APPLE)
# surely there's a better way to do this? alas, seems necessary to pull the
# pkg-config files out of Homebrew.
if(NOT DEFINED ENV{PKG_CONFIG_PATH})
set(ENV{PKG_CONFIG_PATH} "/usr/local/opt/ncurses/lib/pkgconfig")
endif()
set(PKGCONFIG_DIR "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
else()
set(PKGCONFIG_DIR "${CMAKE_INSTALL_PREFIX}/libdata/pkgconfig")
endif()
find_package(PkgConfig REQUIRED)
# some distros (<cough>motherfucking alpine</cough> subsume terminfo directly
# into ncurses. accept either, and may god have mercy on our souls.
pkg_search_module(TERMINFO REQUIRED tinfo>=6.1 ncursesw>=6.1)
set_property(GLOBAL APPEND PROPERTY PACKAGES_FOUND terminfo)
set_package_properties(terminfo PROPERTIES TYPE REQUIRED)
set(PKGCONF_REQ_PRIV "${TERMINFO_LIBRARIES}")
if(${USE_FFMPEG})
pkg_check_modules(AVCODEC REQUIRED libavcodec>=57.0)
pkg_check_modules(AVFORMAT REQUIRED libavformat>=57.0)
pkg_check_modules(AVUTIL REQUIRED libavutil>=56.0)
pkg_check_modules(SWSCALE REQUIRED libswscale>=5.0)
set_property(GLOBAL APPEND PROPERTY PACKAGES_FOUND FFMpeg)
elseif(${USE_OIIO})
find_package(OpenImageIO 2.1 REQUIRED)
endif()
endif()

# global compiler flags
if(NOT WIN32)
# MSYS2 needs -lssp and -fstack-protector for _FORTIFY_SOURCE
# macOS with ASAN can't handle _FORTIFY_SOURCE != 1
if(NOT ${USE_ASAN})
add_compile_definitions(_FORTIFY_SOURCE=2)
endif()
add_compile_options(-Wformat -Werror=format-security)
endif()
if(MSVC)
add_compile_options(/W4)
else()
add_compile_options(-Wall -Wextra -W -Wshadow -Wvla)
# -ffast-math dies on NaNs we draw from libav (by -ffinite-math-only)
add_compile_options(-fno-signed-zeros -fno-trapping-math -fassociative-math)
add_compile_options(-fno-math-errno -freciprocal-math -funsafe-math-optimizations)
add_compile_options(-fexceptions -fstrict-aliasing)
if(${USE_ASAN})
add_compile_options(-fsanitize=address)
add_link_options(-fsanitize=address)
endif()
endif()

# don't use REQUIRED with subsequent find_package() operations; we use
# feature_summary + set_package_properties to fail in one fell swoop.
find_package(Threads)
set_package_properties(Threads PROPERTIES TYPE REQUIRED)
# platform-specific logics
if(WIN32)
  set(LIBRT wsock32 ws2_32 secur32)
elseif(NOT APPLE)
  find_library(LIBM m REQUIRED)
  find_library(LIBRT rt REQUIRED)
endif()
if(NOT ${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
  include_directories(/usr/local/include)
  link_directories(/usr/local/lib)
  set(CMAKE_REQUIRED_INCLUDES /usr/local/include)
endif()

if(${USE_DOCTEST})
find_package(doctest 2.3.5)
set_package_properties(doctest PROPERTIES TYPE REQUIRED)
endif()

# don't cache these, or installing them requires clearing the cache to be found.
# this is going to be true for anything lacking pkg-config/CMake support.
# unigbrk.h was introduced in libunistring 0.9.4, 2010-02-14.
unset(HAVE_UNISTRING_H CACHE)
check_include_file("unigbrk.h" HAVE_UNISTRING_H)
if(NOT "${HAVE_UNISTRING_H}")
  message(FATAL_ERROR "Couldn't find unigbrk.h from GNU libunistring")
endif()
find_library(unistring unistring REQUIRED)
set_property(GLOBAL APPEND PROPERTY PACKAGES_FOUND libunistring)
set_package_properties(libunistring PROPERTIES TYPE REQUIRED)

# optional dependencies lacking pkg-config support
if(${USE_DEFLATE})
unset(HAVE_DEFLATE_H CACHE)
check_include_file("libdeflate.h" HAVE_DEFLATE_H)
if(NOT "${HAVE_DEFLATE_H}")
  message(FATAL_ERROR "Couldn't find libdeflate.h")
endif()
find_library(libdeflate deflate REQUIRED)
set_property(GLOBAL APPEND PROPERTY PACKAGES_FOUND libdeflate)
set_package_properties(libdeflate PROPERTIES TYPE REQUIRED)
else()
find_package(ZLIB)
set_package_properties(ZLIB PROPERTIES TYPE REQUIRED)
endif()

if(${USE_GPM}) # no pkgconfig from gpm
unset(HAVE_GPM_H CACHE)
check_include_file("gpm.h" HAVE_GPM_H)
if(NOT "${HAVE_GPM_H}")
  message(FATAL_ERROR "Couldn't find gpm.h from libgpm")
endif()
find_library(gpm gpm REQUIRED)
set_property(GLOBAL APPEND PROPERTY PACKAGES_FOUND libgpm)
set_package_properties(libgpm PROPERTIES TYPE REQUIRED)
endif()

if("${USE_QRCODEGEN}")
unset(HAVE_QRCODEGEN_H CACHE)
check_include_file("qrcodegen/qrcodegen.h" HAVE_QRCODEGEN_H)
if(NOT "${HAVE_QRCODEGEN_H}")
  message(FATAL_ERROR "USE_QRCODEGEN is active, but couldn't find qrcodegen.h")
endif()
set_property(GLOBAL APPEND PROPERTY PACKAGES_FOUND qrcodegen)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB COMPATSRC CONFIGURE_DEPENDS src/compat/*.c)

############################################################################
# libnotcurses-core (core shared library, core static library)
file(GLOB NCCORESRCS CONFIGURE_DEPENDS src/lib/*.c)
add_library(notcurses-core SHARED ${NCCORESRCS} ${COMPATSRC})
if(${USE_STATIC})
add_library(notcurses-core-static STATIC ${NCCORESRCS} ${COMPATSRC})
else()
add_library(notcurses-core-static STATIC EXCLUDE_FROM_ALL ${NCCORESRCS} ${COMPATSRC})
endif()
# don't want these on freebsd/dragonfly/osx
if(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
target_compile_definitions(notcurses-core
  PUBLIC
   _XOPEN_SOURCE=700 # wcwidth(3) requires _XOPEN_SOURCE, and is in our headers
  PRIVATE
   _GNU_SOURCE _DEFAULT_SOURCE
)
target_compile_definitions(notcurses-core-static
  PUBLIC
   _XOPEN_SOURCE=700 # wcwidth(3) requires _XOPEN_SOURCE, and is in our headers
  PRIVATE
   _GNU_SOURCE _DEFAULT_SOURCE
)
endif()
set_target_properties(notcurses-core PROPERTIES
  VERSION ${PROJECT_VERSION}
  SOVERSION ${PROJECT_VERSION_MAJOR}
)
set_target_properties(notcurses-core-static PROPERTIES
  VERSION ${PROJECT_VERSION}
  OUTPUT_NAME notcurses-core
)
target_include_directories(notcurses-core
  BEFORE
  PRIVATE
    include
    src
    "${CMAKE_REQUIRED_INCLUDES}"
    "${PROJECT_BINARY_DIR}/include"
    "${TERMINFO_INCLUDE_DIRS}"
    "${libdeflate_INCLUDE_DIRS}"
    "${ZLIB_INCLUDE_DIRS}"
)
target_include_directories(notcurses-core-static
  BEFORE
  PRIVATE
    include
    src
    "${CMAKE_REQUIRED_INCLUDES}"
    "${PROJECT_BINARY_DIR}/include"
    "${TERMINFO_STATIC_INCLUDE_DIRS}"
    "${libdeflate_STATIC_INCLUDE_DIRS}"
    "${ZLIB_STATIC_INCLUDE_DIRS}"
)
target_link_libraries(notcurses-core
  PRIVATE
    "${libdeflate}"
    "${ZLIB_LIBRARIES}"
    "${TERMINFO_LIBRARIES}"
    "${LIBM}"
    "${unistring}"
    "${gpm}"
  PUBLIC
    Threads::Threads
    "${LIBRT}"
)
target_link_libraries(notcurses-core-static
  PRIVATE
    "${libdeflate_STATIC_LIBRARIES}"
    "${ZLIB_STATIC_LIBRARIES}"
    "${TERMINFO_STATIC_LIBRARIES}"
    "${LIBM}"
    "${unistring}"
    "${gpm}"
    Threads::Threads
    "${LIBRT}"
)
target_link_directories(notcurses-core
  PRIVATE
    "${TERMINFO_LIBRARY_DIRS}"
    "${libdeflate_LIBRARY_DIRS}"
    "${ZLIB_LIBRARY_DIRS}"
)
target_link_directories(notcurses-core-static
  PRIVATE
    "${TERMINFO_STATIC_LIBRARY_DIRS}"
    "${libdeflate_STATIC_LIBRARY_DIRS}"
    "${ZLIB_STATIC_LIBRARY_DIRS}"
)
if(${USE_QRCODEGEN})
target_link_libraries(notcurses-core PRIVATE qrcodegen)
target_link_libraries(notcurses-core-static PRIVATE qrcodegen)
endif()

############################################################################
# libnotcurses (multimedia shared library+static library)
file(GLOB NCSRCS CONFIGURE_DEPENDS src/media/*.c src/media/*.cpp)
add_library(notcurses SHARED ${NCSRCS} ${COMPATSRC})
if(${USE_STATIC})
add_library(notcurses-static STATIC ${NCSRCS} ${COMPATSRC})
else()
add_library(notcurses-static STATIC EXCLUDE_FROM_ALL ${NCSRCS} ${COMPATSRC})
endif()
set_target_properties(notcurses PROPERTIES
  VERSION ${PROJECT_VERSION}
  SOVERSION ${PROJECT_VERSION_MAJOR}
)
set_target_properties(notcurses-static PROPERTIES
  VERSION ${PROJECT_VERSION}
  OUTPUT_NAME notcurses
)
target_include_directories(notcurses
  BEFORE
  PRIVATE
    include
    src
    "${CMAKE_REQUIRED_INCLUDES}"
    "${PROJECT_BINARY_DIR}/include"
    "${TERMINFO_INCLUDE_DIRS}"
)
target_include_directories(notcurses-static
  BEFORE
  PRIVATE
    include
    src
    "${CMAKE_REQUIRED_INCLUDES}"
    "${PROJECT_BINARY_DIR}/include"
    "${TERMINFO_INCLUDE_DIRS}"
)
target_compile_definitions(notcurses
  PRIVATE
   _GNU_SOURCE _DEFAULT_SOURCE
)
target_compile_definitions(notcurses-static
  PRIVATE
   _GNU_SOURCE _DEFAULT_SOURCE
)
target_link_libraries(notcurses
  PUBLIC
    notcurses-core
)
target_link_libraries(notcurses-static
  PUBLIC
    notcurses-core-static
)
if(${USE_FFMPEG})

=== debian/changelog ===
notcurses (3.0.7+dfsg.1-1ubuntu8) oracular; urgency=medium

  * d/rules: include missing helper Makefile.
  * d/p/ffmpeg-use-duration.patch: backport an upstream patch to fix FTBFS
    with FFmpeg 7.

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 17 Sep 2024 12:09:36 -0600

notcurses (3.0.7+dfsg.1-1ubuntu7) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:19:17 +0200

notcurses (3.0.7+dfsg.1-1ubuntu6) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:49:18 +0200

notcurses (3.0.7+dfsg.1-1ubuntu5) noble; urgency=medium

  * Rebuild against latest libunistring

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 26 Oct 2023 20:51:34 -0400

notcurses (3.0.7+dfsg.1-1ubuntu4) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 21:58:09 +0200

notcurses (3.0.7+dfsg.1-1ubuntu3) lunar; urgency=medium

  * Fix metrics test where a call to snprintf() had size > bufsize.
    (LP: #2008108)

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 22 Feb 2023 20:14:38 -0700

notcurses (3.0.7+dfsg.1-1ubuntu2) lunar; urgency=medium

  * Cherry-pick workaround for FTBFS with doctest 2.4.9 (LP: #2006772)

 -- Dan Bungert <daniel.bungert@canonical.com>  Thu, 09 Feb 2023 12:17:33 -0700

notcurses (3.0.7+dfsg.1-1ubuntu1) kinetic; urgency=medium

  * Cherry-pick fix for autopkgtest failure on s390x.  (LP: #1989390)

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 12 Sep 2022 17:41:55 -0600

notcurses (3.0.7+dfsg.1-1build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 13:00:30 +0000

notcurses (3.0.7+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Nick Black <dankamongmen@gmail.com>  Sun, 20 Feb 2022 15:38:37 -0500

=== debian/control ===
Source: notcurses
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nick Black <dankamongmen@gmail.com>
Build-Depends: cmake (>= 3.14),
               debhelper-compat (= 13),
               dh-python (>= 4.20191017),
               dh-sequence-python3,
               doctest-dev,
               libavformat-dev (>= 7:4.2.1),
               libavutil-dev (>= 7:4.2.1),
               libdeflate-dev,
               libgpm-dev,
               libncurses-dev,
               libqrcodegen-dev (>= 1.5.0),
               libswscale-dev (>= 7:4.2.1),
               libunistring-dev,
               pandoc (>= 1.19.2.4),
               pkg-config,
               python3-cffi (>= 1.13.2),
               python3-dev,
               python3-pip (>= 20.0),
               python3-pypandoc,
               python3-setuptools (>= 44.0.0)
Standards-Version: 4.6.0
Section: libs
X-Python3-Version: >= 3.7
Rules-Requires-Root: no
Homepage: https://nick-black.com/dankwiki/index.php/Notcurses
Vcs-Browser: https://salsa.debian.org/debian/notcurses
Vcs-Git: https://salsa.debian.org/debian/notcurses.git

Package: libnotcurses++-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libnotcurses++3 (= ${binary:Version}),
         libnotcurses-dev (>= ${binary:Version}),
         ${misc:Depends}
Description: Character graphics and TUI library (C++ development)
 Notcurses facilitates the creation of modern TUI programs,
 making full use of Unicode and 24-bit TrueColor. It presents
 an API similar to that of Curses, and rides atop Terminfo.
 .
 These files are necessary for C++ development using Notcurses.

Package: libnotcurses++3
Architecture: any
Multi-Arch: same
Recommends: ncurses-term
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Character graphics and TUI library (C++)
 Notcurses facilitates the creation of modern TUI programs,
 making full use of Unicode and 24-bit TrueColor. It presents
 an API similar to that of Curses, and rides atop Terminfo.

Package: libnotcurses-core-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libnotcurses-core3 (= ${binary:Version}), ${misc:Depends}
Recommends: libnotcurses-dev
Description: Character graphics and TUI library (core development)
 Notcurses facilitates the creation of modern TUI programs, making
 full use of Unicode and 24-bit TrueColor. This development
 package covers the Notcurses core library.
 .
 These files are necessary for C development using Notcurses. They
 do not include multimedia support; that requires libnotcurses-dev.

Package: libnotcurses-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libnotcurses-core-dev (>= ${binary:Version}),
         libnotcurses3 (= ${binary:Version}),
         ${misc:Depends}
Description: Character graphics and TUI library (development)
 Notcurses facilitates the creation of modern TUI programs, making
 full use of Unicode and 24-bit TrueColor. Its API is similar
 to that of NCURSES, but extends that with z-buffering, rendering
 of images and video using ffmpeg, alpha blending, widgets, palette
 fades, resize awareness, and multithreading support.
 .
 These files are necessary for C development using Notcurses. This
 package installs multimedia support atop libnotcurses-core-dev.

Package: libnotcurses-core3
Architecture: any
Multi-Arch: same
Recommends: libnotcurses3, ncurses-term
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Character graphics and TUI library (core)
 Notcurses facilitates the creation of modern TUI programs, making
 full use of Unicode and 24-bit TrueColor.
 .
 This core library lacks multimedia support. For that,
 libnotcurses3 must be installed.

Package: libnotcurses3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Character graphics and TUI library
 Notcurses facilitates the creation of modern TUI programs, making
 full use of Unicode and 24-bit TrueColor. Its API is similar
 to that of NCURSES, but extends that with z-buffering, rendering
 of images and video using ffmpeg, alpha blending, widgets, palette
 fades, resize awareness, and multithreading support.
 .
 This package provides multimedia support via ffmpeg.

Package: notcurses-bin
Architecture: any
Multi-Arch: foreign
Section: graphics
Depends: notcurses-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: desktop-base,
            ncurses-term,
            python3-notcurses (>= ${source:Version})
Description: Character graphics and TUI library demos
 Notcurses facilitates the creation of modern TUI programs,
 making full use of Unicode and 24-bit TrueColor. It presents
 an API similar to that of Curses, and rides atop Terminfo.
 .
 These utilities from the Notcurses project include notcurses-demo
 (a demonstration of various libnotcurses capabilities), ncplayer
 (a character mode multimedia player), ncls (a file lister that
 displays multimedia), and other tools. Unit tests are furthermore
 bundled as notcurses-tester.

Package: notcurses-data
Architecture: all
Multi-Arch: foreign
Section: graphics
Depends: ${misc:Depends}
Recommends: ncurses-term
Description: Multimedia used by notcurses-bin
 Notcurses facilitates the creation of modern TUI programs,
 making full use of Unicode and 24-bit TrueColor. It presents
 an API similar to that of Curses, and rides atop Terminfo.
 .
 This package contains multimedia used by notcurses-demo
 and notcurses-tester from the notcurses-bin package.

Package: python3-notcurses
Section: python
Architecture: any
Multi-Arch: no
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
Replaces: notcurses-bin (<< 1.6)
Breaks: notcurses-bin (<< 1.6)
Description: Character graphics and TUI library (Python)
 Notcurses facilitates the creation of modern TUI programs,
 making full use of Unicode and 24-bit TrueColor. It presents
 an API similar to that of Curses, and rides atop Terminfo.
 .
 These files are necessary for Python development using Notcurses.
 The notcurses-pydemo script verifies these Python wrappers.

## notcurses 3.0.16+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-# 3.14.0 introduced NAME_WLE
-cmake_minimum_required(VERSION 3.14.0)
-project(notcurses VERSION 3.0.7
+# 3.21.0 introduced C17 support
+cmake_minimum_required(VERSION 3.21.0)
+project(notcurses VERSION 3.0.16
   DESCRIPTION "Blingful UI for modern terminal emulators"
   HOMEPAGE_URL "https://nick-black.com/dankwiki/index.php/notcurses"
   LANGUAGES C)
@@ -28,6 +28,10 @@
 option(USE_POC "Build small, uninstalled proof-of-concept binaries" ON)
 option(USE_QRCODEGEN "Enable libqrcodegen QR code support" OFF)
 option(USE_STATIC "Build static libraries (in addition to shared)" ON)
+cmake_dependent_option(
+  USE_STATIC_BINARIES "Link binaries statically (requires USE_STATIC)" OFF
+  "USE_STATIC" ON
+)
 set(USE_MULTIMEDIA "ffmpeg" CACHE STRING "Multimedia engine, one of 'ffmpeg', 'oiio', or 'none'")
 set_property(CACHE USE_MULTIMEDIA PROPERTY STRINGS ffmpeg oiio none)
 if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
@@ -62,7 +66,7 @@
 set(CMAKE_CXX_VISIBILITY_PRESET hidden)
 string(APPEND CMAKE_CXX_FLAGS_DEBUG " -Og")
 endif()
-set(CMAKE_C_STANDARD 11)
+set(CMAKE_C_STANDARD 17)
 set(CMAKE_C_VISIBILITY_PRESET hidden)
 
 message(STATUS "Requested multimedia engine: ${USE_MULTIMEDIA}")
@@ -105,14 +109,17 @@
 set_property(GLOBAL APPEND PROPERTY PACKAGES_FOUND terminfo)
 set_package_properties(terminfo PROPERTIES TYPE REQUIRED)
 set(PKGCONF_REQ_PRIV "${TERMINFO_LIBRARIES}")
+
 if(${USE_FFMPEG})
 pkg_check_modules(AVCODEC REQUIRED libavcodec>=57.0)
+pkg_check_modules(AVDEVICE REQUIRED libavdevice>=57.0)
 pkg_check_modules(AVFORMAT REQUIRED libavformat>=57.0)
 pkg_check_modules(AVUTIL REQUIRED libavutil>=56.0)
 pkg_check_modules(SWSCALE REQUIRED libswscale>=5.0)
 set_property(GLOBAL APPEND PROPERTY PACKAGES_FOUND FFMpeg)
 elseif(${USE_OIIO})
-find_package(OpenImageIO 2.1 REQUIRED)
+pkg_check_modules(OPENIMAGEIO REQUIRED OpenImageIO>=2.1)
+set_property(GLOBAL APPEND PROPERTY PACKAGES_FOUND OpenImageIO)
 endif()
 endif()
 
@@ -128,7 +135,7 @@
 if(MSVC)
 add_compile_options(/W4)
 else()
-add_compile_options(-Wall -Wextra -W -Wshadow -Wvla)
+add_compile_options(-Wall -Wextra -W -Wshadow -Wvla -Wstrict-aliasing=2)
 # -ffast-math dies on NaNs we draw from libav (by -ffinite-math-only)
 add_compile_options(-fno-signed-zeros -fno-trapping-math -fassociative-math)
 add_compile_options(-fno-math-errno -freciprocal-math -funsafe-math-optimizations)
@@ -165,6 +172,8 @@
 # this is going to be true for anything lacking pkg-config/CMake support.
 # unigbrk.h was introduced in libunistring 0.9.4, 2010-02-14.
 unset(HAVE_UNISTRING_H CACHE)
+find_path(UNISTRING_INCLUDE unigbrk.h)
+set(CMAKE_REQUIRED_INCLUDES ${UNISTRING_INCLUDE})
 check_include_file("unigbrk.h" HAVE_UNISTRING_H)
 if(NOT "${HAVE_UNISTRING_H}")
   message(FATAL_ERROR "Couldn't find unigbrk.h from GNU libunistring")
@@ -174,15 +183,17 @@
 set_package_properties(libunistring PROPERTIES TYPE REQUIRED)
 
 # optional dependencies lacking pkg-config support
+# libdeflate has had pkgconf support since 1.9, where is it on ubuntu? FIXME
 if(${USE_DEFLATE})
 unset(HAVE_DEFLATE_H CACHE)
 check_include_file("libdeflate.h" HAVE_DEFLATE_H)
 if(NOT "${HAVE_DEFLATE_H}")
   message(FATAL_ERROR "Couldn't find libdeflate.h")
 endif()
-find_library(libdeflate deflate REQUIRED)
-set_property(GLOBAL APPEND PROPERTY PACKAGES_FOUND libdeflate)
-set_package_properties(libdeflate PROPERTIES TYPE REQUIRED)
+find_library(DEFLATE deflate REQUIRED)
+set_property(GLOBAL APPEND PROPERTY PACKAGES_FOUND DEFLATE)
+set_package_properties(DEFLATE PROPERTIES TYPE REQUIRED)
+set(DEFLATE_LIBRARIES ${DEFLATE})
 else()
 find_package(ZLIB)
 set_package_properties(ZLIB PROPERTIES TYPE REQUIRED)
@@ -252,7 +263,7 @@
     "${CMAKE_REQUIRED_INCLUDES}"
     "${PROJECT_BINARY_DIR}/include"
     "${TERMINFO_INCLUDE_DIRS}"
-    "${libdeflate_INCLUDE_DIRS}"
+    "${DEFLATE_INCLUDE_DIRS}"
     "${ZLIB_INCLUDE_DIRS}"
 )
 target_include_directories(notcurses-core-static
@@ -263,42 +274,42 @@
     "${CMAKE_REQUIRED_INCLUDES}"
     "${PROJECT_BINARY_DIR}/include"
     "${TERMINFO_STATIC_INCLUDE_DIRS}"
-    "${libdeflate_STATIC_INCLUDE_DIRS}"
+    "${DEFLATE_STATIC_INCLUDE_DIRS}"
     "${ZLIB_STATIC_INCLUDE_DIRS}"
 )
 target_link_libraries(notcurses-core
   PRIVATE
-    "${libdeflate}"
-    "${ZLIB_LIBRARIES}"
     "${TERMINFO_LIBRARIES}"
     "${LIBM}"
     "${unistring}"
     "${gpm}"
+    "${DEFLATE_LIBRARIES}"
+    "${ZLIB_LIBRARIES}"
   PUBLIC
     Threads::Threads
     "${LIBRT}"
 )
 target_link_libraries(notcurses-core-static
   PRIVATE
-    "${libdeflate_STATIC_LIBRARIES}"
-    "${ZLIB_STATIC_LIBRARIES}"
     "${TERMINFO_STATIC_LIBRARIES}"
     "${LIBM}"
     "${unistring}"
     "${gpm}"
+    "${DEFLATE_STATIC_LIBRARIES}"
+    "${ZLIB_STATIC_LIBRARIES}"
     Threads::Threads
     "${LIBRT}"
 )
 target_link_directories(notcurses-core
   PRIVATE
     "${TERMINFO_LIBRARY_DIRS}"
-    "${libdeflate_LIBRARY_DIRS}"
+    "${DEFLATE_LIBRARY_DIRS}"
     "${ZLIB_LIBRARY_DIRS}"
 )
 target_link_directories(notcurses-core-static
   PRIVATE
     "${TERMINFO_STATIC_LIBRARY_DIRS}"
-    "${libdeflate_STATIC_LIBRARY_DIRS}"
+    "${DEFLATE_STATIC_LIBRARY_DIRS}"
     "${ZLIB_STATIC_LIBRARY_DIRS}"
 )
 if(${USE_QRCODEGEN})
@@ -311,6 +322,8 @@
 file(GLOB NCSRCS CONFIGURE_DEPENDS src/media/*.c src/media/*.cpp)
 add_library(notcurses SHARED ${NCSRCS} ${COMPATSRC})
 if(${USE_STATIC})
+# can't build binaries against static notcurses until ffmpeg linking issues
+# are resolved (USE_STATIC_BINARIES) FIXME
 add_library(notcurses-static STATIC ${NCSRCS} ${COMPATSRC})
 else()
 add_library(notcurses-static STATIC EXCLUDE_FROM_ALL ${NCSRCS} ${COMPATSRC})
@@ -329,32 +342,3 @@
     include
     src
     "${CMAKE_REQUIRED_INCLUDES}"
-    "${PROJECT_BINARY_DIR}/include"
-    "${TERMINFO_INCLUDE_DIRS}"
-)
-target_include_directories(notcurses-static
-  BEFORE
-  PRIVATE
-    include
-    src
-    "${CMAKE_REQUIRED_INCLUDES}"
-    "${PROJECT_BINARY_DIR}/include"
-    "${TERMINFO_INCLUDE_DIRS}"
-)
-target_compile_definitions(notcurses
-  PRIVATE
-   _GNU_SOURCE _DEFAULT_SOURCE
-)
-target_compile_definitions(notcurses-static
-  PRIVATE
-   _GNU_SOURCE _DEFAULT_SOURCE
-)
-target_link_libraries(notcurses
-  PUBLIC
-    notcurses-core
-)
-target_link_libraries(notcurses-static
-  PUBLIC
-    notcurses-core-static
-)
-if(${USE_FFMPEG})

=== debian/changelog ===
notcurses (3.0.16+dfsg-2) unstable; urgency=medium

  * Fix two lintian problems (missing symbol, missing comma).
    Thanks, Rick!

 -- Nick Black <dankamongmen@gmail.com>  Fri, 16 May 2025 02:36:22 -0400

notcurses (3.0.16+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Nick Black <dankamongmen@gmail.com>  Sun, 04 May 2025 07:33:47 -0400

notcurses (3.0.14+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Upstream changes hopefully address autobuild failures
     (closes: #1001661).

 -- Nick Black <dankamongmen@gmail.com>  Sun, 27 Apr 2025 02:54:52 -0400

notcurses (3.0.13+dfsg-4) unstable; urgency=medium

  * Add an explicit dep on libncurses-dev from
    libnotcurses-core-dev (closes: #1015747).

 -- Nick Black <dankamongmen@gmail.com>  Wed, 16 Apr 2025 22:57:09 -0400

notcurses (3.0.13+dfsg-3) unstable; urgency=medium

  * Add BUILD_TESTING=on to dh_auto_configure's CMake
    arguments (closes: #1103316).

 -- Nick Black <dankamongmen@gmail.com>  Wed, 16 Apr 2025 17:36:24 -0400

notcurses (3.0.13+dfsg-2) unstable; urgency=medium

  * Don't run tests with -l3 since we're redirecting to /dev/null.
  * Use -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON until debhelper 14.

 -- Nick Black <dankamongmen@gmail.com>  Sun, 19 Jan 2025 08:20:24 -0500

notcurses (3.0.13+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Upstream changes ought eliminate uses-deprecated-python-stdlib
    lintian diagnostic for distutils.
  * Run dh_auto_test with --output-on-failure for ctest.
  * Enable reprotest on salsa; we pass now!

 -- Nick Black <dankamongmen@gmail.com>  Sat, 11 Jan 2025 16:33:09 -0500

notcurses (3.0.12+dfsg-1) unstable; urgency=medium

  * Remove X-Python3-Version control header.
  * Change build-dep from pkg-config to pkgconf.
  * Properly exporting CPPFLAGS ought eliminate
    hardening-no-fortify-functions lintian diagnostic for nctetris.
  * Eliminate unnecessary groff overrides, eliminating
    unused-override lintian diagnostics.
  * Fix uscan PGP check, eliminating debian-watch-could-verify-download
    lintian warning.
  * Conform to dfsg naming, eliminating dot-before-repack-count
    lintian diagnostic and supporting proper sorting.

 -- Nick Black <dankamongmen@gmail.com>  Thu, 09 Jan 2025 03:36:05 -0500

notcurses (3.0.11+dfsg.1-2) unstable; urgency=medium

  * Update Standards-Version to 3.7.0; no changes required.

 -- Nick Black <dankamongmen@gmail.com>  Sat, 09 Nov 2024 22:38:36 -0500

notcurses (3.0.11+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Nick Black <dankamongmen@gmail.com>  Mon, 07 Oct 2024 03:43:36 -0400

notcurses (3.0.10+dfsg.1-1) unstable; urgency=medium

  * New upstream release (closes: #1072438)
    We should now properly build against FFMPEG 7.0.

 -- Nick Black <dankamongmen@gmail.com>  Wed, 02 Oct 2024 07:14:39 -0400

notcurses (3.0.9+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Nick Black <dankamongmen@gmail.com>  Sat, 10 Dec 2022 05:36:02 -0500

notcurses (3.0.8+dfsg.1-2) unstable; urgency=medium

  * Standards version 3.6.1; no changes needed

 -- Nick Black <dankamongmen@gmail.com>  Tue, 25 Oct 2022 12:18:11 -0400

notcurses (3.0.8+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Nick Black <dankamongmen@gmail.com>  Wed, 06 Apr 2022 06:38:31 -0400

=== debian/watch ===
version=4

opts="pgpsigurlmangle=s/archive\/refs\/tags/releases\/download/;s/v(\d\S*).tar.gz/v$1\/v$1.tar.gz.asc/, \
      dversionmangle=s/\+dfsg(\.?\d+)?$//, \
      repacksuffix=+dfsg" \
      https://github.com/dankamongmen/notcurses/tags .*/v(\d\S*)\.tar\.gz \
      debian

## notcurses 3.0.17+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # 3.21.0 introduced C17 support
 cmake_minimum_required(VERSION 3.21.0)
-project(notcurses VERSION 3.0.16
+project(notcurses VERSION 3.0.17
   DESCRIPTION "Blingful UI for modern terminal emulators"
   HOMEPAGE_URL "https://nick-black.com/dankwiki/index.php/notcurses"
   LANGUAGES C)

=== python/CMakeLists.txt ===
include(FindPkgConfig)
pkg_search_module(PYTHON3 REQUIRED python3)

set(NOTCURSES_PYTHON_SRC
    notcurses/context.c
    notcurses/misc.c
    notcurses/channels.c
    notcurses/main.c
    notcurses/notcurses-python.h
    notcurses/plane.c
)

add_library(
    dummy_python MODULE
    ${NOTCURSES_PYTHON_SRC}
)

target_include_directories(
    dummy_python
    PRIVATE ${PYTHON3_INCLUDE_DIRS}
    PRIVATE "${PROJECT_SOURCE_DIR}/include"
)

target_link_libraries(
    dummy_python
    PRIVATE
    notcurses
)

target_compile_options(
    dummy_python
    PRIVATE -Wall -Wextra
)

=== doc/examples/Makefile ===
.DELETE_ON_ERROR:
.PHONY: all book serve clean
.DEFAULT_GOAL:=all

SRC:=$(wildcard src/*.c)
BIN:=$(foreach src, $(SRC), $(addprefix book/,$(notdir $(basename $(src)))))

all: $(BIN)

serve: book
	mdbook serve

book: $(SRC)
	mdbook build

book/%: src/%.c
	@mkdir -p $(@D)
	$(CC) -o $@ $< -lnotcurses

clean:
	rm -rf $(BIN) book

=== debian/changelog ===
notcurses (3.0.17+dfsg-3) unstable; urgency=medium

  * Stop building Python extensions; they were an endless source
    of annoyance, and supposedly don't even work properly atm.
    Maybe we'll reenable them one day (closes: #1124184).

 -- Nick Black <dankamongmen@gmail.com>  Tue, 06 Jan 2026 23:30:48 -0500

notcurses (3.0.17+dfsg-2) unstable; urgency=medium

  * Standards version 4.7.3, remove explicit Priority.

 -- Nick Black <dankamongmen@gmail.com>  Tue, 30 Dec 2025 07:13:06 -0500

notcurses (3.0.17+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Nick Black <dankamongmen@gmail.com>  Tue, 28 Oct 2025 12:26:27 -0400

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,29 @@
 Source: notcurses
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nick Black <dankamongmen@gmail.com>
-Build-Depends: cmake (>= 3.14),
+Maintainer: Nick Black <dankamongmen@gmail.com>
+Build-Depends: cmake (>= 3.21),
                debhelper-compat (= 13),
-               dh-python (>= 4.20191017),
-               dh-sequence-python3,
+#               dh-python (>= 4.20191017),
+#               dh-sequence-python3,
                doctest-dev,
-               libavformat-dev (>= 7:4.2.1),
-               libavutil-dev (>= 7:4.2.1),
+               libavdevice-dev (>= 7:7.0.2),
+               libavformat-dev (>= 7:7.0.2),
+               libavutil-dev (>= 7:7.0.2),
                libdeflate-dev,
                libgpm-dev,
                libncurses-dev,
                libqrcodegen-dev (>= 1.5.0),
-               libswscale-dev (>= 7:4.2.1),
+               libswscale-dev (>= 7:7.0.2),
                libunistring-dev,
                pandoc (>= 1.19.2.4),
-               pkg-config,
-               python3-cffi (>= 1.13.2),
-               python3-dev,
-               python3-pip (>= 20.0),
-               python3-pypandoc,
-               python3-setuptools (>= 44.0.0)
-Standards-Version: 4.6.0
+               pkgconf,
+#               python3-cffi (>= 1.13.2),
+# otherwise we blow up in reprotest when it tries to build for 3.12
+#               python3-all-dev,
+#               python3-pip (>= 20.0),
+#               python3-pypandoc,
+#               python3-setuptools (>= 44.0.0)
+Standards-Version: 4.7.3
 Section: libs
-X-Python3-Version: >= 3.7
-Rules-Requires-Root: no
 Homepage: https://nick-black.com/dankwiki/index.php/Notcurses
 Vcs-Browser: https://salsa.debian.org/debian/notcurses
 Vcs-Git: https://salsa.debian.org/debian/notcurses.git
@@ -58,7 +56,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libnotcurses-core3 (= ${binary:Version}), ${misc:Depends}
+Depends: libnotcurses-core3 (= ${binary:Version}), ${misc:Depends},
+         libncurses-dev
 Recommends: libnotcurses-dev
 Description: Character graphics and TUI library (core development)
  Notcurses facilitates the creation of modern TUI programs, making
@@ -121,7 +120,7 @@
          ${shlibs:Depends}
 Recommends: desktop-base,
             ncurses-term,
-            python3-notcurses (>= ${source:Version})
+#            python3-notcurses (>= ${source:Version})
 Description: Character graphics and TUI library demos
  Notcurses facilitates the creation of modern TUI programs,
  making full use of Unicode and 24-bit TrueColor. It presents
@@ -147,18 +146,18 @@
  This package contains multimedia used by notcurses-demo
  and notcurses-tester from the notcurses-bin package.
 
-Package: python3-notcurses
-Section: python
-Architecture: any
-Multi-Arch: no
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
-Provides: ${python3:Provides}
-Replaces: notcurses-bin (<< 1.6)
-Breaks: notcurses-bin (<< 1.6)
-Description: Character graphics and TUI library (Python)
- Notcurses facilitates the creation of modern TUI programs,
- making full use of Unicode and 24-bit TrueColor. It presents
- an API similar to that of Curses, and rides atop Terminfo.
- .
- These files are necessary for Python development using Notcurses.
- The notcurses-pydemo script verifies these Python wrappers.
+#Package: python3-notcurses
+#Section: python
+#Architecture: any
+#Multi-Arch: no
+#Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+#Provides: ${python3:Provides}
+#Replaces: notcurses-bin (<< 1.6)
+#Breaks: notcurses-bin (<< 1.6)
+#Description: Character graphics and TUI library (Python)
+# Notcurses facilitates the creation of modern TUI programs,
+# making full use of Unicode and 24-bit TrueColor. It presents
+# an API similar to that of Curses, and rides atop Terminfo.
+# .
+# These files are necessary for Python development using Notcurses.
+# The notcurses-pydemo script verifies these Python wrappers.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_BUILD_MAINT_OPTIONS=reproducible=+fixfilepath

export DEB_BUILD_MAINT_OPTIONS=hardening=+all reproducible=+fixfilepath
#export PYBUILD_NAME=notcurses
#export PYBUILD_DIR=cffi
#export PYBUILD_DESTDIR=debian/python3-notcurses

CFLAGS += -ffile-prefix-map=$(CURDIR)=.

# we supply a build directory explicitly so that we can reference it later
BDIR=$(CURDIR)/build

%:
	dh $@ --buildsystem=cmake -B $(BDIR)

# we ought be able to eliminate DCMAKE_BUILD_RPATH_USE_ORIGIN=ON
# with debhelper 14
override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_FFI_LIBRARY=off \
		-DBUILD_TESTING=on \
		-DDFSG_BUILD=on \
		-DUSE_GPM=on \
		-DUSE_POC=off \
		-DUSE_QRCODEGEN=on \
		-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON

#override_dh_auto_build:
#	dh_auto_build
#	ln -s ../debian $(PYBUILD_DIR)/debian
#	CFLAGS="$(CFLAGS) -I$(CURDIR)/include" \
#		LDFLAGS="$(LDFLAGS) -L$(BDIR)" \
#		pybuild --build -d $(PYBUILD_DIR)

override_dh_auto_install:
	dh_auto_install -B $(BDIR)
#	pybuild --install

# debhelper 13+ handles nocheck in DEB_BUILD_OPTIONS for us
override_dh_auto_test:
	ctest --test-dir $(BDIR) --output-on-failure

=== debian/tests/control ===
# The CI pipeline on salsa.debian.org doesn't appear to export a TERM variable
# to the autopkgtest environment. We thus manually use TERM=xterm-256color for all
# commands. They'd otherwise fail out, or (worse) not actually test anything.

# Connects to and queries the controlling terminal, dumping info
Test-Command: TERM=xterm-256color notcurses-info -v
Depends: notcurses-bin
Restrictions: allow-stderr
Features: test-name=info

# Basic unit test suite, but run with installed binary
# redirect to /dev/null to not overwhelm builder logging
Test-Command: TERM=xterm-256color notcurses-tester > /dev/null 2>&1
Depends: notcurses-bin
Features: test-name=unittests

# Execute notcurses-demo with a fixed PRNG seed
Test-Command: TERM=xterm-256color notcurses-demo -d0 -c > /dev/null 2>&1
Depends: notcurses-bin
Features: test-name=demo

# Execute notcurses-pydemo
#Test-Command: TERM=xterm-256color notcurses-pydemo > /dev/null 2>&1
#Depends: python3-notcurses
#Features: test-name=pydemo

=== debian/watch ===
Version: 5

Source: https://github.com/dankamongmen/notcurses/tags
Repacksuffix: +dfsg
Dversion-Mangle: s/\+dfsg(\.?\d+)?$//
Pgp-Sig-Url-Mangle: s/archive\/refs\/tags/releases\/download/;s/v(\d\S*).tar.gz/v$1\/v$1.tar.gz.asc/
